WPSStream Struct Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | List of all members
WPSStream Struct Reference

small structure use to store a stream and it debug file More...

`#include <WPSStream.h>`

## Public Member Functions
| WPSStream (RVNGInputStreamPtr input, libwps::DebugFile &ascii)
| constructor with an ascii file More...
| WPSStream (RVNGInputStreamPtr input)
| constructor without an ascii file More...
| ~WPSStream ()
| destructor More...
bool | checkFilePosition (long pos) const
| return true if the position is in the file More...

## Public Attributes
RVNGInputStreamPtr | m_input
| the stream More...
libwps::DebugFile & | m_ascii
| the ascii file More...
long | m_eof
| the last position More...

## Protected Attributes
libwps::DebugFile | m_asciiFile
| the local file(if not, is given) More...

## Detailed Description

small structure use to store a stream and it debug file

## Constructor & Destructor Documentation

## ◆ WPSStream() [1/2]

WPSStream::WPSStream | ( | RVNGInputStreamPtr | input,
|  | libwps::DebugFile & | ascii
| ) |  |

constructor with an ascii file

## ◆ WPSStream() [2/2]

WPSStream::WPSStream | ( | RVNGInputStreamPtr | input | ) |
| explicit

constructor without an ascii file

## ◆ ~WPSStream()

WPSStream::~WPSStream | ( |  | ) |

destructor

## Member Function Documentation

## ◆ checkFilePosition()

bool WPSStream::checkFilePosition | ( | long | pos | ) | const
| inline

return true if the position is in the file

Referenced by WPSOLE1Parser::createZones().

## Member Data Documentation

## ◆ m_ascii

libwps::DebugFile& WPSStream::m_ascii

the ascii file

Referenced by WPSOLE1Parser::createZones().

## ◆ m_asciiFile

libwps::DebugFile WPSStream::m_asciiFile
| protected

the local file(if not, is given)

## ◆ m_eof

long WPSStream::m_eof

the last position

Referenced by checkFilePosition(), and WPSStream().

## ◆ m_input

RVNGInputStreamPtr WPSStream::m_input

the stream

Referenced by WPSOLE1Parser::createZones(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

The documentation for this struct was generated from the following files:

- WPSStream.h
- WPSStream.cpp